API ReferenceLesson types
Read a lesson type
Needs a `catalog:read` token.
GET
Needs a catalog:read token.
bearerAuthheader
AuthorizationBearer <token>id*stringFormat
uuidThe lesson type.
application/json- response
id*stringFormat
uuidteacherId*stringFormat
uuidtitle*stringdescription*|Default
nullisTrial*booleanDefault
falseactive*booleanDefault
truecapacity*numberDefault
1mode*stringDefault
"online"Value in
"online""in_person""either"address*|Default
nullroomId*|Format
uuidDefault
nullsubject*|Default
nulllevel*|Default
nullprices*array<>One price per lesson length, in minor units of the school's currency.
currency*stringarchived*booleancurl -X GET 'https://aula.sferarc.com/api/v1/lesson-types/497f6eca-6276-4993-bfeb-53cbbbba6f08'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "teacherId": "2b1c548d-1f43-4459-9412-4268cfad4c85", "title": "string", "description": null, "isTrial": false, "active": true, "capacity": 1, "mode": "online", "address": null, "roomId": null, "subject": null, "level": null, "prices": [ { "durationMinutes": 0, "priceMinor": 0 } ], "currency": "string", "archived": true}